<?php

/**
 * Implementation of hook_content_default_fields().
 */
function blog_system_content_default_fields() {
  module_load_include('inc', 'blog_system', 'blog_system.defaults');
  $args = func_get_args();
  return call_user_func_array('_blog_system_content_default_fields', $args);
}

/**
 * Implementation of hook_imagecache_default_presets().
 */
function blog_system_imagecache_default_presets() {
  module_load_include('inc', 'blog_system', 'blog_system.defaults');
  $args = func_get_args();
  return call_user_func_array('_blog_system_imagecache_default_presets', $args);
}

/**
 * Implementation of hook_node_info().
 */
function blog_system_node_info() {
  module_load_include('inc', 'blog_system', 'blog_system.features.node');
  $args = func_get_args();
  return call_user_func_array('_blog_system_node_info', $args);
}

/**
 * Implementation of hook_user_default_permissions().
 */
function blog_system_user_default_permissions() {
  module_load_include('inc', 'blog_system', 'blog_system.defaults');
  $args = func_get_args();
  return call_user_func_array('_blog_system_user_default_permissions', $args);
}

/**
 * Implementation of hook_views_default_views().
 */
function blog_system_views_default_views() {
  module_load_include('inc', 'blog_system', 'blog_system.features.views');
  $args = func_get_args();
  return call_user_func_array('_blog_system_views_default_views', $args);
}
